Groovy Documentation

## org.codehaus.groovy.grails.web.util
[Java] Class Log4jConfigListener

    java.lang.Object
      org.codehaus.groovy.grails.web.util.Log4jConfigListener

All Implemented Interfaces:
  ServletContextListener

    public class Log4jConfigListener

Configures Log4j in WAR deployment using Grails Log4j DSL.

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary
`void` | `contextDestroyed(ServletContextEvent event)`
`void` | `contextInitialized(ServletContextEvent event)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### contextDestroyed

    public void contextDestroyed(ServletContextEvent event)

### contextInitialized

    public void contextInitialized(ServletContextEvent event)

Groovy Documentation